<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="CONTENT">
		<script language="javascript">	
			function deleteMessages() {
				count = countSelectedCheckBoxes();
				if (count > 0) {
					if (confirm(count + ' <xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SURE-TO-DELETE"/>')) {
						self.sbApplyChangesObject.registerForcedSaving(); 
						setWizardFormAction('<xsl:value-of select="/SITEBUILDER-PAGE/VIEW-CONTENT/@ACTION"/>/Modules/Guestbook/Delete');
						sbNavigationObject.go();
					}
				}
				else {
					alert('<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SELECT-FOR-DELETE"/>');
				}
			}
			function countSelectedCheckBoxes() {
				result = 0;
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='objectIds[]') {
						if (form.elements[n].checked) {
							++result;
						}
					}
				}
				return result;
			}	
			function setCheckboxStatus(status) {
				var form = document.forms['SB_WizardForm'];
				for (var n = 0; n &lt; form.elements.length; n++) {
					if (form.elements[n].type == 'checkbox' &amp;&amp; form.elements[n].name=='objectIds[]') {
						if (!form.elements[n].disabled) {
							form.elements[n].checked = status;
						}
					}
				}
			}
		</script>
		
		<input type="hidden" name="pageNum"   value=""/>
		<input type="hidden" name="pageSize"  value=""/>
		<input type="hidden" name="orderBy"   value=""/>
		<input type="hidden" name="orderType" value=""/>		

		<xsl:apply-templates select="TOOLBAR" />
		<xsl:apply-templates select="PAGED-LIST" />
	</xsl:template>

	<xsl:template match="CONTENT/PAGED-LIST/LIST/HEADER">
		<tr class="sb-gridview-header" align="left" style="height:24px;white-space:nowrap;">
			<th style="width:1%;text-align:center">
				<input type="checkbox" name="globalCheck" onclick="setCheckboxStatus(this.checked);"/>
			</th>
			
			<th style="width:1%;text-align:center; padding-left: 4px; padding-right: 4px;" scope="col">
				<xsl:value-of select="STATUS"/>
			</th>

			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">comment</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="COMMENT"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>			
				<xsl:with-param name="tab">content</xsl:with-param>			
			</xsl:call-template>
	
			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">author</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="AUTHOR"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>			
				<xsl:with-param name="tab">content</xsl:with-param>			
			</xsl:call-template>

			<xsl:call-template name="LIST-HEADER-ITEM">
				<xsl:with-param name="field">created</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="POSTED"/></xsl:with-param>
				<xsl:with-param name="currentSortField"><xsl:value-of select="../../LIST/@ORDER-BY"/></xsl:with-param>
				<xsl:with-param name="currentSortType"><xsl:value-of select="../../LIST/@ORDER-TYPE"/></xsl:with-param>			
				<xsl:with-param name="tab">content</xsl:with-param>			
			</xsl:call-template>

			<th style="width:1%;text-align:center; padding-left: 4px; padding-right: 4px;" scope="col">
				<xsl:value-of select="EDIT"/>
			</th>
		</tr> 
	</xsl:template>
	
	<xsl:template match="CONTENT/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class">
			<xsl:call-template name="LIST-ROW-CLASS">
				<xsl:with-param name="position"><xsl:value-of select="position()"/></xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		
		<tr class="{$class}" style="height:24px;">
			<td style="width:1%;text-align:center;">
				<input type="checkbox" name="objectIds[]">
					<xsl:attribute name="value"><xsl:value-of select="ID"/></xsl:attribute>
				</input>
			</td>
			
			<td style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">
				<img style="border-width:0px;width:16px;height:16px">
					<xsl:choose>
						<xsl:when test="STATUS='active'">
							<xsl:attribute name="src"><xsl:value-of select="$skinPath"/>/icons/run.png</xsl:attribute>
							<xsl:attribute name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CONHELP-NOT-ARCHIVED"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="src"><xsl:value-of select="$skinPath"/>/icons/shutdown.png</xsl:attribute>
							<xsl:attribute name="title"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CONHELP-ARCHIVED"/></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</img>
			</td>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="COMMENT"/></xsl:with-param>
				<xsl:with-param name="action"><xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Guestbook/Edit?messageId=<xsl:value-of select="ID"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="AUTHOR"/></xsl:with-param>
			</xsl:call-template>

			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="CREATED"/></xsl:with-param>
			</xsl:call-template>

			<td style="width:1%; text-align:center; padding-left: 4px; padding-right: 4px;">
				<a>
					<xsl:attribute name="href">#</xsl:attribute>
					<xsl:attribute name="onclick">javascript: self.sbApplyChangesObject.registerForcedSaving();sbNavigationObject.go('<xsl:value-of select="$baseUrl"/>/Wizard/Edit/Modules/Guestbook/Edit?messageId=<xsl:value-of select="ID"/>');</xsl:attribute>
					<img style="border-width:0px;width:16px;height:16px" src="{$skinPath}/icons/editsiteinwizard.png"/>
				</a>
			</td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>