<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template name="MESSAGE-FORM-FIELDS">
	
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='author']" mode="label">
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='author']" mode="control">
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='email']" mode="label"/>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='email']" mode="control">
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL[@NAME='url']" mode="label"/>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL[@NAME='url']" mode="control">
						<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
		
		<div style="width: 0; height: 5px;"><span></span></div>
		
		<xsl:call-template name="LABEL" mode="label">
			<xsl:with-param name="require">true</xsl:with-param>
			<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/MESSAGE"/>
		</xsl:call-template><br/>
		<xsl:apply-templates select="WYSIWYG"/>
		
		<div style="width: 0; height: 5px;"><span></span></div>
		
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>
	
	<xsl:template match="MESSAGE-FORM">
	</xsl:template>	
	
	<xsl:template match="MESSAGE-FORM" mode="initAfterBody">
		<!--<xsl:call-template name="MODULE-MODAL-FORM" />-->
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<!--<xsl:with-param name="helpHint" select="/SITEBUILDER-PAGE/LOCALE/HELP-HINT"/>-->
			<!--<xsl:with-param name="closeHint" select="@CLOSE-HINT"/>-->
			<xsl:with-param name="additionalFormStyle">width: 650px; height: 430px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
		
	</xsl:template>	
		
</xsl:stylesheet>	